package com.fr.plugin.models;

import javax.servlet.http.HttpServletRequest;
import java.io.Serializable;

/**
 {
 file: {
 id: "f132aa30a87064", // 文件 id，字符串长度小于 40
 name: "example.doc", // 文件名
 version: 2, // 当前版本号，位数小于 11
 size: 200, //文件大小，单位是 B
 download_url: "http://www.xxx.cn/v1/file?fid=f132aa30a87064" // 文件下载地址
 }
 }
 */
public class UploadFileModel implements Serializable {
    private String id;
    private String name;
    private int version=0;
    private long size;
    private String download_url;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public String getDownload_url() {
        return download_url;
    }

    public void setDownload_url(String download_url) {
        this.download_url = download_url;
    }

    public void setDownload_url(HttpServletRequest request, String id) {
        StringBuffer requestURL = request.getRequestURL();
        this.download_url = requestURL.append("/url/fileDownload?fileId").append(id).toString();
    }


}
