package com.fr.plugin.models;

/**
 *  type: 1,		 		//水印类型， 0为无水印； 1为文字水印
 *             value: "禁止传阅",  		          //文字水印的文字，当type为1时此字段必选
 *             fillstyle: "rgba( 192, 192, 192, 0.6 )",     //水印的透明度，非必选，有默认值
 *             font: "bold 20px Serif",		//水印的字体，非必选，有默认值
 *             rotate: -0.7853982,			//水印的旋转度，非必选，有默认值
 *             horizontal: 50,			 //水印水平间距，非必选，有默认值
 *             vertical: 100			 //水印垂直间距，非必选，有默认值
 */
public class WatermarkModel {
    private int type = 0;
    private String value;
    private String font;
    private Double rotate;
    private int horizontal = 0;
    private int vertical = 0;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getFont() {
        return font;
    }

    public void setFont(String font) {
        this.font = font;
    }

    public Double getRotate() {
        return rotate;
    }

    public void setRotate(Double rotate) {
        this.rotate = rotate;
    }

    public int getHorizontal() {
        return horizontal;
    }

    public void setHorizontal(int horizontal) {
        this.horizontal = horizontal;
    }

    public int getVertical() {
        return vertical;
    }

    public void setVertical(int vertical) {
        this.vertical = vertical;
    }
}
