package com.fr.plugin.api;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.plugin.Signature;
import com.fr.plugin.WPSConfig;
import com.fr.plugin.utils.HttpUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;


public class EditorApi extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return null;
    }


    @Override
    public String getPath() {
        return "/editorWps";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest request, HttpServletResponse httpServletResponse) throws Exception {
        String fileId = WebUtils.getHTTPRequestParameter(request, "fileId");
        String userName = WebUtils.getHTTPRequestParameter(request, "userName");
        String fileType = WebUtils.getHTTPRequestParameter(request, "fileType");
        String sign = Signature.getSign(userName);
        Map<String, String> param = new HashMap<>();
        param.put("fileId", fileId);
        param.put("userName", userName);
        param.put("xSign", sign);
        param.put("appId", WPSConfig.getInstance().getAppid());
        param.put("fileType", fileType);
        param.put("jsToken", HttpUtils.genToken());
        WebUtils.writeOutTemplate("/com/fr/plugin/wps.html", httpServletResponse, param);
    }
}
