package com.fr.plugin.api;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.plugin.utils.ErrorUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class FileVersionApi extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return null;
    }


    @Override
    public String getPath() {
        return "/v1/3rd/file/version/:version";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest request, HttpServletResponse httpServletResponse) throws Exception {
        WebUtils.printAsJSON(httpServletResponse, ErrorUtils.createError(101, "暂未支持", "请联系管理员"));
        return;
    }
}
